Pagina 2 di 3 PrimaPrima 123 UltimaUltima
Risultati da 11 a 20 di 24
  1. #11
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    Provato!
    Partendo dalla parte dove ho generato la nuvola di punti
    ho fatto come indicato nel commento precedente.
    (come nome del piano ho messo Frontale_XY)

  2. #12
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    e allora?
    ti crea i 10 cerchi?
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein

  3. #13
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    No non le crea

  4. #14
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    come si chiamano i piani di default del tuo modello?
    devi sostituire il piano che si chiama Superiore_XY
    con un piano presente nel tuo modello.
    altrimenti non riconoscendo il piano non funziona.
    oppure, invece di modificare la macro, modifichi il nome del piano
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein

  5. #15
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    Il testo della macro è questo:

    ' ************************************************** ****************************
    ' C:\Users\Falco\AppData\Local\Temp\swx704\Macro1.sw b - macro recorded on 08/21/12 by Falco
    ' ************************************************** ****************************
    Dim swApp As Object

    Dim Part As Object
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long

    Sub main()
    Dim swApp As Object
    Dim Part As Object
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long

    Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    Dim myModelView As Object
    Dim X As Double
    Dim Y As Double
    Dim Radius As Double
    Dim i As Integer


    'eliminare questa riga è la lunghezza del file stesso che determina il ciclo di loop
    i = 10

    Set myModelView = Part.ActiveView
    myModelView.FrameState = swWindowState_e.swWindowMaximized
    boolstatus = Part.Extension.SelectByID2("Piano1", "PLANE", 0, 0, 0, False, 0, Nothing, 0)
    Part.SketchManager.InsertSketch True
    Part.ClearSelection2 True
    Dim skSegment As Object
    'inserire apertura file con all'interno coordinate e raggio
    'impostare il ciclo Do fino a EOF (end of file)
    Do Until i = 1
    'inserire qui lettura delle coordinate e del raggio
    ' sostituire le definizioni sottostanti con i valori prelevati dal file
    X = 1
    Y = 2
    Radius = i / 10
    '''''

    Set skSegment = Part.SketchManager.CreateCircle(X, Y, 0#, (Radius + X), Y, 0#)
    Part.SketchAddConstraints "sgFIXED"
    Part.ClearSelection2 True
    'eliminare la riga sottostante
    i = i - 1
    Loop
    Set swApp = _
    Application.SldWorks

    Set Part = swApp.ActiveDoc
    Dim myModelView As Object
    Set myModelView = Part.ActiveView
    myModelView.FrameState = swWindowState_e.swWindowMaximized
    End Sub

    Ho inserito un piano chiamato Piano1
    per verificare il funzionamento ma le circonferenze non sono state generate

  6. #16
    Utente Senior L'avatar di marcof
    Iscritto dal
    2007
    Messaggi
    3733
    Professione
    appiccico francobolli con lo schiacciasassi
    Regione
    Modena
    Software
    solidworks 2013 SP 5.0

    Predefinito

    Citazione Originariamente Scritto da mihawk Visualizza Messaggio
    Salve a tutti!
    Per il mio lavoro di tesi devo realizzare un modello CAD di una piastra forata con fori disposti in maniera casuale.
    Mediante un algoritmo implementato in MatLab ho determinato la nuvola di punti che ho passato a SolidWorks tramite una macro che ho trovato in una delle discussioni su questo forum.

    Mi servirebbe un suggerimento per realizzare a partire dai punti importati una serie di circonferenze senza dover selezionare uno alla volta i vari punti.
    (i punti sono più di 200)
    se ho capito bene ti ritrovi con uno schizzo su un piano che contiene i tuoi 200 e passa punti disposti casualmente.
    Non hai specificato se i fori avranno tutti la stessa dimensione... Nel caso siano tutti uguali puoi usare la ripetizione di funzione guidata dallo schizzo, ovvero un foro di base che verrà ripetuto concentrico a ciascun punto dello schizzo.
    I fori ovviamente saranno derivati da quello padre quindi tutti uguali.
    "Ragazzo, il forum funziona come il computer: se immetti monnezza esce monnezza, ma moltiplicata di un fattore n
    Quindi accontentati di quello che è uscito, perchè è la logica conseguenza di quello che hai immesso"
    ©Meccbell

  7. #17
    Moderatore L'avatar di Onda
    Iscritto dal
    2009
    Messaggi
    1035
    Professione
    Ingegnere Meccanico settore Navale
    Regione
    Italia
    Software
    SolidWorks 2015, Rhino v5, Autocad 2008, Patran 2014, Nastran 2014

    Predefinito

    La macro è errata perchè dovevi cancellare tutto quello che era presente e incollare ESCLUSIVAMENTE quello che ti avevo scritto io.
    tu ti trovi ora con 2 sub main. così non funziona.
    elimina tutto e reincolla quanto ti ho copiato.
    sostituisci il nome del mio piano con quello del tuo e riprova.
    ciao
    "I problemi non possono essere risolti dallo stesso atteggiamento mentale che li ha creati"
    A. Einstein

  8. #18
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    @Onda

    Riprovato, funziona.
    Chiedo scusa per il banale errore di prima.

    @marcof
    si si i fori in prima approssimazione li considero tutti dello stesso diametro

  9. #19
    Utente Senior L'avatar di marcof
    Iscritto dal
    2007
    Messaggi
    3733
    Professione
    appiccico francobolli con lo schiacciasassi
    Regione
    Modena
    Software
    solidworks 2013 SP 5.0

    Predefinito

    Citazione Originariamente Scritto da mihawk Visualizza Messaggio
    @
    @marcof
    si si i fori in prima approssimazione li considero tutti dello stesso diametro
    come ti ho scritto se resteranno dello stesso diametro quei fori li fai in due secondi con la ripetizione gudata dallo schizzo, se ti servono diversi e hai la tabella con le coordinate del centro e il diametro di ogni foro allora sicuramente la macro può risolverti il problema.
    "Ragazzo, il forum funziona come il computer: se immetti monnezza esce monnezza, ma moltiplicata di un fattore n
    Quindi accontentati di quello che è uscito, perchè è la logica conseguenza di quello che hai immesso"
    ©Meccbell

  10. #20
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    50
    Professione
    Ingegnere
    Regione
    campania
    Software
    ansys13 solidworks2012 autocad2011 matlabr2012a mathematica8.0

    Predefinito

    Grazie per l'aiuto !!!


  • Pagina 2 di 3 PrimaPrima 123 UltimaUltima

    Discussioni Simili

    1. NUVOLA DI PUNTI
      Di andreagzz nel forum Reverse Engineering
      Risposte: 15
      Ultimo Messaggio: 15-05-2017, 16: 15
    2. da nuvola di punti a superfice
      Di LoSte nel forum Creo Parametric - Modellazione di parti e Lamiera
      Risposte: 4
      Ultimo Messaggio: 04-12-2009, 16: 16
    3. importazione nuvola di punti .asc in pro-e
      Di jackorion nel forum Creo Parametric (ex Pro/E)
      Risposte: 17
      Ultimo Messaggio: 27-01-2009, 19: 51
    4. Gestire nuvola di punti
      Di cccicccio nel forum Reverse Engineering
      Risposte: 1
      Ultimo Messaggio: 10-10-2008, 22: 00
    5. Importare nuvola di punti
      Di peppo82 nel forum Solidworks
      Risposte: 0
      Ultimo Messaggio: 07-07-2008, 11: 39

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti